#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=buttlar1.14_depth_histogram.ps
projection=-JX12/10
region=-R0/15/0/15
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa5f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths buttlar1.14' -K <<END>> $psfile
     3.000
     8.000
     2.000
     6.000
     7.000
     2.000
     0.000
     1.000
     1.000
     3.000
     5.000
     5.000
     3.000
     3.000
     3.000
     4.000
     1.000
END
gmt pshistogram $projection $region -W1 -F -Gblack -K -O << END >> $psfile
     3.000
     3.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    14.100     1.000 Median of constrained depths =  3.0
END
